Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.dfa
Class Linker

    java.lang.Object
      net.sourceforge.pmd.dfa.Linker

public class Linker
extends java.lang.Object

Author:
  raik Links data flow nodes to each other.

Constructor Summary
`Linker(java.util.List braceStack, java.util.List continueBreakReturnStack)`

Method Summary
`void` | `computePaths()` Creates all the links between the data flow nodes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Linker

    public Linker(java.util.List braceStack,
                  java.util.List continueBreakReturnStack)

Method Detail

### computePaths

    public void computePaths()
                      throws LinkerException,
                             SequenceException

  Creates all the links between the data flow nodes.

  Throws:
    `LinkerException`
    `SequenceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.